Sync Groups - List Logs

Eşitleme grubu günlükleri koleksiyonunu alır.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}&continuationToken={continuationToken}

URI Parametreleri

Name İçinde Gerekli Tür Description
databaseName
path True

string

Veritabanının adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

serverName
path True

string

Sunucunun adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

syncGroupName
path True

string

Eşitleme grubunun adı.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

endTime
query True

string

Bu süreden önce oluşturulan günlükleri alın.

startTime
query True

string

Bu süreden sonra oluşturulan günlükleri alın.

type
query True

SyncGroupsType

Alınacak günlük türleri.

continuationToken
query

string

Bu işlemin devamlılık belirteci.

Yanıtlar

Name Tür Description
200 OK

SyncGroupLogListResult

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Get sync group logs

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/logs?api-version=2025-01-01&startTime=2017-01-01T00:00:00&endTime=2017-12-31T00:00:00&type=All

Örnek yanıt

{
  "value": [
    {
      "type": "Success",
      "operationStatus": "SchemaRefreshSuccess",
      "source": "syncgroupcrud-8475.database.windows.net/hub",
      "timestamp": "2017-05-30T07:16:08.25Z",
      "tracingId": "c0480c8e-6269-424e-9404-b00efce0ebae",
      "details": "Schema information obtained successfully."
    },
    {
      "type": "Error",
      "operationStatus": "SchemaRefreshFailure",
      "source": "syncgroupcrud-8475.database.windows.net/member",
      "timestamp": "2017-05-30T07:03:37.5733333Z",
      "tracingId": "cd3aa28c-0c31-471f-8a77-f1b21c908cbd",
      "details": "Getting schema information for the database failed with the exception \"Failed to connect to server .\nInner exception: SqlException Error Code: -2146232060 - SqlError Number:53, Message: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. (provider: Named Pipes Provider, error: 40 - Could not open a connection to SQL Server) \nInner exception: The network path was not found\n For more information, provide tracing ID ‘cd3aa28c-0c31-471f-8a77-f1b21c908cbd’ to customer support.\""
    }
  ]
}

Tanımlar

Name Description
ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

SyncGroupLogListResult

Eşitleme grubu günlük özelliklerinin listesi.

SyncGroupLogProperties

Properties of an Azure SQL Veritabanı sync group log.

SyncGroupLogType

Eşitleme grubu günlüğünün türü.

SyncGroupsType

Alınacak günlük türleri.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

SyncGroupLogListResult

Eşitleme grubu günlük özelliklerinin listesi.

Name Tür Description
nextLink

string (uri)

Öğelerin bir sonraki sayfasına bağlantı

value

SyncGroupLogProperties[]

Bu sayfadaki SyncGroupLogProperties öğeleri

SyncGroupLogProperties

Properties of an Azure SQL Veritabanı sync group log.

Name Tür Description
details

string

Eşitleme grubu günlüğünün ayrıntıları.

operationStatus

string

Eşitleme grubu günlüğünün OperationStatus değeri.

source

string

Eşitleme grubu günlüğünün kaynağı.

timestamp

string (date-time)

Eşitleme grubu günlüğünün zaman damgası.

tracingId

string (uuid)

Eşitleme grubu günlüğünün TracingId değeri.

type

SyncGroupLogType

Eşitleme grubu günlüğünün türü.

SyncGroupLogType

Eşitleme grubu günlüğünün türü.

Değer Description
All

Tümü

Error

Error

Warning

Uyarı

Success

Success

SyncGroupsType

Alınacak günlük türleri.

Değer Description
All

Tümü

Error

Error

Warning

Uyarı

Success

Success